## r-cran-globaloptions 0.1.0

=== DESCRIPTION ===
Package: GlobalOptions
Type: Package
Title: Generate Functions to Get or Set Global Options
Version: 0.1.0
Date: 2018-6-4
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.3.0), methods
Imports: utils
Suggests: testthat (>= 1.0.0), knitr, markdown
VignetteBuilder: knitr
Description: It provides more configurations on the option values such as validation
    and filtering on the values, making options invisible or private.
URL: https://github.com/jokergoo/GlobalOptions
License: MIT + file LICENSE
Packaged: 2018-06-06 08:28:54 UTC; jokergoo
Repository: CRAN
Date/Publication: 2018-06-09 20:00:38 UTC
NeedsCompilation: no

=== debian/changelog ===
r-cran-globaloptions (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #919380)

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Jan 2019 12:37:07 +0100

=== debian/control ===
Source: r-cran-globaloptions
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions.git
Homepage: https://cran.r-project.org/package=GlobalOptions

Package: r-cran-globaloptions
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Generate Functions to Get or Set Global Options
 It provides more configurations on the option values such as validation
 and filtering on the values, making options invisible or private.

## r-cran-globaloptions 0.1.1

=== DESCRIPTION ===
Package: GlobalOptions
Type: Package
Title: Generate Functions to Get or Set Global Options
Version: 0.1.1
Date: 2019-9-30
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.3.0), methods
Imports: utils
Suggests: testthat (>= 1.0.0), knitr, markdown
VignetteBuilder: knitr
Description: It provides more configurations on the option values such as validation
    and filtering on the values, making options invisible or private.
URL: https://github.com/jokergoo/GlobalOptions
License: MIT + file LICENSE
Repository: CRAN
NeedsCompilation: no
Packaged: 2019-09-30 18:04:49 UTC; jokergoo
Date/Publication: 2019-09-30 19:40:02 UTC

=== debian/changelog ===
r-cran-globaloptions (0.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Set upstream metadata fields: Archive, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 10:03:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions.git
 Homepage: https://cran.r-project.org/package=GlobalOptions

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R


override_dh_auto_clean:
	dh_auto_clean
	# lintian overrides are autogenerated
	rm -f debian/lintian-overrides

## r-cran-globaloptions 0.1.2

=== DESCRIPTION ===
Package: GlobalOptions
Type: Package
Title: Generate Functions to Get or Set Global Options
Version: 0.1.2
Date: 2020-06-06
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.3.0), methods
Imports: utils
Suggests: testthat (>= 1.0.0), knitr, markdown, GetoptLong
VignetteBuilder: knitr
Description: It provides more configurations on the option values such as validation
    and filtering on the values, making options invisible or private.
URL: https://github.com/jokergoo/GlobalOptions
License: MIT + file LICENSE
Repository: CRAN
NeedsCompilation: no
Packaged: 2020-06-10 12:34:07 UTC; jokergoo
Date/Publication: 2020-06-10 20:00:03 UTC

=== debian/changelog ===
r-cran-globaloptions (0.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jul 2020 10:38:08 +0200

r-cran-globaloptions (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 22:25:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions.git
 Homepage: https://cran.r-project.org/package=GlobalOptions
+Rules-Requires-Root: no
 
 Package: r-cran-globaloptions
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/GlobalOptions_([-\d.]*)\.tar\.gz

## r-cran-globaloptions 0.1.3

=== DESCRIPTION ===
Package: GlobalOptions
Type: Package
Title: Generate Functions to Get or Set Global Options
Version: 0.1.3
Date: 2025-11-28
Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                  comment = c('ORCID'="0000-0002-7395-8709"))
Depends: R (>= 4.0.0), methods
Imports: utils
Suggests: testthat (>= 1.0.0), knitr, markdown, GetoptLong, rmarkdown
VignetteBuilder: knitr
Description: It provides more configurations on the option values such as validation
    and filtering on the values, making options invisible or private.
URL: https://github.com/jokergoo/GlobalOptions
License: MIT + file LICENSE
NeedsCompilation: no
Packaged: 2025-11-28 15:21:23 UTC; guz
Author: Zuguang Gu [aut, cre] (ORCID: <https://orcid.org/0000-0002-7395-8709>)
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Repository: CRAN
Date/Publication: 2025-11-28 16:30:02 UTC

=== debian/changelog ===
r-cran-globaloptions (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Update lintian override info format in d/source/lintian-overrides on line 2.

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 15:30:18 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globaloptions.git
 Homepage: https://cran.r-project.org/package=GlobalOptions

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 1.0.0),
        r-cran-knitr,
        r-cran-markdown,
        r-cran-getoptlong,
        r-cran-rmarkdown
Restrictions: allow-stderr
